Bug 1062978 - Caught signal 11 (Segmentation fault). Server aborting
Summary: Caught signal 11 (Segmentation fault). Server aborting
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 11:59 UTC by Germano Massullo
Modified: 2015-12-02 16:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:08:40 UTC


Attachments (Terms of Use)
Xorg.0.log.old (43.92 KB, text/plain)
2014-02-09 11:59 UTC, Germano Massullo
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 81193 None None None Never

Description Germano Massullo 2014-02-09 11:59:36 UTC
Created attachment 860970 [details]
Xorg.0.log.old

Description of problem:
I just started DraftSight version V1R5, when the system suddendly restarted X server session.

Additional info:
Kernel 3.12.9-301.fc20.x86_64

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)

KDE 4.11.5

Comment 1 Kevin Kofler 2014-02-09 14:01:20 UTC
Quoting from the attached Xorg.0.log.old:

[ 33308.174] (EE) Backtrace:
[ 33308.179] (EE) 0: /usr/bin/X (?+0x0) [0x473770]
[ 33308.179] (EE) 1: /lib64/libpthread.so.0 (__restore_rt+0x0) [0x3e27c0f74f]
[ 33308.181] (EE) 2: /usr/lib64/dri/i915_dri.so (_init+0x93da) [0x7f1ad68c118a]
[ 33308.183] (EE) 3: /usr/lib64/dri/i915_dri.so (_init+0x3443e) [0x7f1ad691719e]
[ 33308.189] (EE) 4: /lib64/libdricore9.2.5.so.1 (_mesa_readpixels+0xdaf) [0x7f1ad5c052cf]
[ 33308.191] (EE) 5: /usr/lib64/dri/i915_dri.so (_init+0xd423) [0x7f1ad68c9143]
[ 33308.196] (EE) 6: /lib64/libdricore9.2.5.so.1 (_mesa_meta_CopyTexSubImage+0x14d) [0x7f1ad5ce480d]
[ 33308.198] (EE) 7: /lib64/libdricore9.2.5.so.1 (_mesa_max_texture_levels+0xa42) [0x7f1ad5c20ac2]
[ 33308.200] (EE) 8: /lib64/libdricore9.2.5.so.1 (_mesa_CopyTexSubImage2D+0x4a) [0x7f1ad5c23c2a]
[ 33308.202] (EE) 9: /usr/lib64/xorg/modules/extensions/libglx.so (?+0x4a) [0x7f1ad70a6aaa]
[ 33308.204] (EE) 10: /usr/lib64/xorg/modules/extensions/libglx.so (?+0x4a) [0x7f1ad70d305a]
[ 33308.205] (EE) 11: /usr/lib64/xorg/modules/extensions/libglx.so (?+0x4a) [0x7f1ad70d54ca]
[ 33308.205] (EE) 12: /usr/bin/X (?+0x4a) [0x439ffa]
[ 33308.206] (EE) 13: /usr/bin/X (?+0x4a) [0x42855a]
[ 33308.212] (EE) 14: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3e27821d65]
[ 33308.213] (EE) 15: /usr/bin/X (?+0xf5) [0x428d11]
[ 33308.214] (EE) 16: ? (?+0xf5) [0xf5]
[ 33308.214] (EE) 
[ 33308.214] (EE) Segmentation fault at address 0x60

This confirms it's a crash in the intel graphics driver.

Comment 2 Fedora End Of Life 2015-05-29 10:51:36 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-11-04 10:43:00 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 03:08:44 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.